templates/gulp/markup/pages/filial-edit.pug
extends ../components/layout/layout.pug
include ../components/blocks/order/order.pug
include ../components/blocks/filial/filial-detail/filial-detail.pug

block vars
    - var htmlclasses = ""
    - var orderPage = "index"

block metaog

block metaseo
    +headMetaSeo(head.main)

block append page
    .filial-edit
        .section.section_default
            .section__content
                .section__header
                    h1.section__title Редактирование филиала
                .section__body
                    form.form.form_default
                        .form__item
                            .fieldset.fieldset_filial
                                .fieldset__item.fieldset__item_title.field
                                    label.label.label_default.label_s Название
                                    .control.control_default.control_m
                                        input(type="text")
                                .fieldset__item.fieldset__item_address.field
                                    label.label.label_default.label_s Адрес
                                    .control.control_default.control_m
                                        input(type="text")
                                .fieldset__item.fieldset__item_phone.field
                                    label.label.label_default.label_s Телефон
                                    .control.control_default.control_m
                                        input(type="text")
                                .fieldset__item.fieldset__item_email.field
                                    label.label.label_default.label_s Email
                                    .control.control_default.control_m
                                        input(type="text")
                        .form__item
                            .fieldset.fieldset_grid3
                                .fieldset__item
                                    button.btn.btn_m.btn_primary.btn_block
                                        .btn__grid
                                            .btn__title Сохранить
                        script.
                            $(document).ready(function () {
                                $('select').select2({});
                            });

core/templates/filial/filial-edit.html
{% extends 'index.html' %}
{% load static %}


{% block header-js %}
  <script src="{% static 'assets/js/vue/vee-validate.min.js' %}"></script>
{% endblock %}

{% block title %}>Редактирование филиала{% endblock title %}
{% block page %}
  <div id="filial-edit" class="filial-edit" v-cloak>
    <div class="section section_default">
      <div class="section__content">
        <div class="section__header">
          <h1 class="section__title">Редактирование филиала</h1>
        </div>
        <div class="section__body">
          <form class="form form_default" method="post">
            {% csrf_token %}
            <div class="form__item">
              <div class="fieldset fieldset_filial">
                {% if form.name %}
                  <div class="fieldset__item fieldset__item_title field">
                    <label class="label label_default label_s">Название</label>
                    <div class="control control_default control_m">
                      {{ form.name }}
                      <div v-show="errors.has('{{ form.name.name }}')" class="msg msg_field msg_fail">${ errors.first('{{ form.name.name }}') }</div>
                    </div>
                  </div>
                {% endif %}
                {% if form.address %}
                  <div class="fieldset__item fieldset__item_address field">
                    <label class="label label_default label_s">Адрес</label>
                    <div class="control control_default control_m">
                      {{ form.address }}
                      <div v-show="errors.has('{{ form.address.name }}')" class="msg msg_field msg_fail">${ errors.first('{{ form.address.name }}') }</div>
                    </div>
                  </div>
                {% endif %}
                {% if form.phone %}
                  <div class="fieldset__item fieldset__item_phone field">
                    <label class="label label_default label_s">Телефон</label>
                    <div class="control control_default control_m">
                      {{ form.phone }}
                      <div v-show="errors.has('{{ form.phone.name }}')" class="msg msg_field msg_fail">${ errors.first('{{ form.phone.name }}') }</div>
                    </div>
                  </div>
                {% endif %}
                {% if form.email %}
                  <div class="fieldset__item fieldset__item_email field">
                    <label class="label label_default label_s">Email</label>
                    <div class="control control_default control_m">
                      <input v-validate="'email'" class="validateVin" name="{{ form.email.name }}" value="{{ form.email.value|default:'' }}" type="text">
                      <div v-show="errors.has('{{ form.email.name }}')" class="msg msg_field msg_fail">${ errors.first('{{ form.email.name }}') }</div>
                    </div>
                  </div>
                {% endif %}
                {% if form.email_for_complaints %}
                  <div class="fieldset__item fieldset__item_email_for_complaints field">
                    <label class="label label_default label_s">Почта для жалоб</label>
                    <div class="control control_default control_m">
                      <input v-validate="'email'" class="validateVin" name="{{ form.email_for_complaints.name }}" value="{{ form.email_for_complaints.value|default:'' }}" type="text">
                      <div v-show="errors.has('{{ form.email_for_complaints.name }}')" class="msg msg_field msg_fail">${ errors.first('{{ form.email_for_complaints.name }}') }</div>
                    </div>
                  </div>
                {% endif %}
              </div>
            </div>
            <div class="form__item">
              <div class="fieldset fieldset_grid3">
                <div class="fieldset__item">
                  <button class="btn btn_m btn_primary btn_block" @click.prevent="validateBeforeSubmit">
                    <div class="btn__grid">
                      <div class="btn__title">Сохранить</div>
                    </div>
                  </button>
                </div>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
{% endblock %}

{% block script %}
    {{ block.super }}
    <script src="{% static 'js/filialedit.bundle.js' %}"></script>
    <script>
      $(document).ready(function () {
        $('select').select2({});
      });
    </script>
{% endblock %}
